package com.example.core.domain

import android.content.Intent
import androidx.activity.result.ActivityResult
import com.example.core.model.PaymentResultEntity

interface PspService {
    fun pay(amount: Long): Intent
    fun print(lines: List<String>, onMessage: (String) -> Unit)

        // POS App specific
        fun decodePosResponse(
        id: String?,
        activityResult: ActivityResult
    ): PaymentResultEntity?
}